Subject: Re: [PATCH net] netfilter: conntrack: fix ct-state for ICMPv6 Multicast Router Discovery

From: Linus Lüssing <[email-masked]>
Date: Wed, 13 Mar 2024 20:40:49 +0100

On Thu, Mar 07, 2024 at 10:12:54AM +0000, Simon Horman wrote:
> Hi Linus,
> 
> this appears to be a fix and as such I think it warrants a Fixes tag.
> You should be able to just add it to this thread if no other changes
> are required - no need for a v2 just to address this.
> 
> ...

Hi Simon,

>From reading the code and git logs I suspect this
commit, which introduced icmpv6_error():

  9fb9cbb1082d [NETFILTER]: Add nf_conntrack subsystem.

  (introduced in: Linux v2.6.15 / 2006)

Unfortunately, I was only able to reproduce it in practice
on a Debian 5 / Linux 2.6.26 in a VM so far.

I could boot a Debian 4 + Linux 2.6.15, but wasn't able to
insert conntrack rules with ip6tables there though, even
with some iptables + kernel rebuilds/reconfigure attempts.

Also this related fix introduced in v2.6.29 should hint to the
age of this issue:

  3f9007135c1d netfilter: nf_conntrack_ipv6: don't track ICMPv6 negotiation message

Which only picked/fixed a few ICMPv6 types but not ICMPv6 MRD
though.

tl;dr: for me this would be ok, if it were ok for others, too, that I
couldn't fully bisect to it in practice... :

Fixes: 9fb9cbb1082d ("[NETFILTER]: Add nf_conntrack subsystem.")